# Py Stats Toolkit

Une boîte à outils complète pour l'analyse statistique en Python.

## 📋 Description

Py Stats Toolkit est une bibliothèque Python puissante et intuitive conçue pour simplifier l'analyse statistique. Elle offre un ensemble complet d'outils pour l'analyse de données, la visualisation et le traitement statistique.

## ✨ Fonctionnalités

- Analyse statistique avancée
- Visualisation de données
- Tests statistiques
- Modélisation prédictive
- Analyse de survie
- Calculs astronomiques

## 🚀 Installation

### Prérequis

- Python 3.8 ou supérieur
- pip (gestionnaire de paquets Python)

### Installation via pip

```bash
pip install py-stats-toolkit
```

### Installation depuis les sources

```bash
git clone https://github.com/PhoenixGuardianTools/py-stats-toolkit.git
cd py-stats-toolkit
pip install -e .
```

## 📦 Dépendances principales

- numpy >= 1.20.0
- pandas >= 1.3.0
- scikit-learn >= 0.24.0
- seaborn >= 0.11.0
- matplotlib >= 3.4.0
- scipy >= 1.7.0
- lifelines >= 0.26.0
- joblib >= 1.0.0
- statsmodels >= 0.13.0
- ephem >= 4.1.0

## 🛠️ Utilisation

```python
import py_stats_toolkit as pst

# Exemple d'utilisation
# À compléter avec des exemples concrets
```

## 📚 Documentation

La documentation complète est disponible dans le dossier `docs/`.

## 🤝 Contribution

Les contributions sont les bienvenues ! Consultez notre guide de contribution dans [CONTRIBUTING.md](CONTRIBUTING.md) pour plus de détails.

## 📄 Licence

Ce projet est sous licence MIT. Voir le fichier [LICENSE](LICENSE) pour plus de détails.

## 🔒 Sécurité

Pour signaler une vulnérabilité de sécurité, veuillez consulter notre [politique de sécurité](SECURITY.md).

## 📞 Contact

- Email : contact@phonxproject.onmicrosoft.com
- GitHub : [PhoenixGuardianTools/py-stats-toolkit](https://github.com/PhoenixGuardianTools/py-stats-toolkit)

## 🙏 Remerciements

Merci à tous les contributeurs qui ont participé au développement de ce projet. 